Subject: RE: [rohc] draft-kapoor-rohc-profiles-reordering-01

From: "Sarkar, Biplab" <[email-masked]>
Date: Thu, 26 Oct 2006 20:44:00 +0530

Rohit,

I have gone through the document. I have a few comments.

[1] The section 2 needs to define that "k = bits(SN)". This is not captured in the document.

[2] In the definition of the re-ordering ratio, one has to capture the minimum value of "k", As the value of 'p' needs to be an integer.

So,   

 O: REORDERING_NONE;  p = -1

 1: REORDERING_QUATER; p = (2^k /4) -1 = 2^(k -2) -1   where k> 2

 2: REORDERING_HALF;     p = (2^k  /2) -1 = 2^(k-1) -1   where k > 1

 3: REORDERING_THREEQUATER; p = 2^k * ¾ -1 = 3*2^(k-2) - 1 where k > 2

[3] Looking at the above condition, one has to do some change at the compressors too. Because of re-ordering, the compressor will have to send a context updating packet for shifting "v_ref" well ahead of time. The context updating packets might also reach out-of-order.  I believe the document needs to capture this modified logic of the compressor too. 

Thanks

Biplab

-----Original Message-----
From: Kapoor, Rohit [mailto:[email-masked]] 
Sent: Thursday, October 26, 2006 5:13 AM
To: [email-masked]
Subject: [rohc] draft-kapoor-rohc-profiles-reordering-01 

RoHCers,

draft-kapoor-rohc-profiles-reordering-01 can be found at http://www.ietf.org/internet-drafts/draft-kapoor-rohc-profiles-reordering-01.txt. 

The revision contains the following changes from 00:

-- Comment received on v00 (regarding position of CRC) has been addressed.

-- Section on Applicability Statement has been added.

Thanks,

Rohit

_______________________________________________
Rohc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rohc